Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.corelib.base
Class AbstractPropertyOutput

    java.lang.Object
      org.apache.tapestry5.corelib.base.AbstractPropertyOutput

Direct Known Subclasses:
  GridCell, PropertyDisplay

    public abstract class AbstractPropertyOutput

extends java.lang.Object

Base class for components that output a property value using a `PropertyModel`. There's a relationship between such a component and its container, as the container may provide messages in its message catalog needed by the `Block`s that render the values. In addition, the component may be passed Block parameters that are output overrides for specified properties.

Subclasses will implement a `beginRender()` method that invokes `renderPropertyValue(MarkupWriter, String)`.

See Also:
  `BeanBlockSource`

Constructor Summary
`AbstractPropertyOutput()`

Method Summary
`protected PropertyModel` | `getPropertyModel()`
`protected java.lang.Object` | `renderPropertyValue(MarkupWriter writer, java.lang.String overrideBlockId)` Invoked from subclasses to do the rendering.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertyOutput

    public AbstractPropertyOutput()

Method Detail

### getPropertyModel

    protected PropertyModel getPropertyModel()

### renderPropertyValue

    protected java.lang.Object renderPropertyValue(MarkupWriter writer,
                                                   java.lang.String overrideBlockId)

  Invoked from subclasses to do the rendering. The subclass controls the naming convention for locating an overriding Block parameter (it is the name of the property possibly suffixed with a value).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.